<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="s" uri="/struts-tags" %>

<script type="text/javascript" language="javascript"
        src="<%=request.getContextPath()%>/js/main/forTab.js"></script>

<link type='text/css' href='<%=request.getContextPath()%>/css/general/changePassword.css' rel='stylesheet'
      media='screen'/>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/main/changePassword.js"></script>
<style type="text/css">

    #deviceInfo {
        margin-right: 0px;
        margin-top: 0px;
        float: right;
        padding-top:60px !important;
    }

    #networks {
        margin-top: 60px !important;
    }

    .users {
        margin-right: 15px;
        width: 32px;
        height: 32px;
        float: right;
    }

    #changeProfile {
        background-color: #aaaaaa;
        margin-top: -80px;
        margin-left: 200px;
        border: #555555 solid 3px;
        display: none;
        position: absolute;
        width: 400px;
        height: 400px;
        z-index: 100;
    }
</style>

<script type="text/javascript">
    $(document).ready(function() {
        $("#changingPassword").hide();
        $(".users").css("float", "right");
        $(".users").css("margin-right", "15px");
        var obj = $(".subNetwork");
        $.ajax({
            url:'viewNetworks.action',
            type:'POST' ,
                    cache:false,
            success:function(result) {
                $("#allNetworks").attr("src", 'images/content/network_storage.png');
                $(".subNetwork").html(result);
                var networkHeightInt = parseFloat($("#networks").css("height").split("p")[0]);
                var contentHeightInt = parseFloat($("#content").css("height").split("p")[0]);
                $("#content").css("height", contentHeightInt > networkHeightInt ? contentHeightInt : networkHeightInt);
                contentHeightInt = parseFloat($("#content").css("height").split("p")[0]);
                contentHeightInt > 600 ? $("#deviceInfo").find("img").css("margin-top", "15%") : $("#deviceInfo").find("img").css("margin-top", "0%");
            }
        });
        var firstNetwork = $(".subNetwork").html();

    })
</script>
<div id="grayBox"></div>

<s:if test="%{#application.changing!=null}">
    <s:property value="#application.changing"/>
</s:if>
<div id="adminContext">

    <div id="networks" style="border:black solid 0px;">

        <div id="ulNetworks">
            <div class="network">
                <img src="<%=request.getContextPath()%>/images/content/network.png" width="16" height="16"
                     id="allNetworks"/> <s:text name="label.network"/>
            </div>
            <div class="subNetwork">
            </div>
        </div>

        <input type="hidden" name="selectedDevice"/>
    </div>
    <div id="deviceInfo" style="border:black solid 0px;"></div>
</div>

